# studio::MetaDataTreeStore Class Reference

`#include <metadatatreestore.h>`

List of all members.

## Public Member Functions

| ~MetaDataTreeStore ()
etl::loose_handle < synfigapp::CanvasInterface > | get_canvas_interface ()
etl::loose_handle< const synfigapp::CanvasInterface > | get_canvas_interface () const
synfig::Canvas::Handle | get_canvas () const
synfig::Canvas::Handle | get_canvas ()
void | rebuild ()
void | refresh ()

## Static Public Member Functions

static Glib::RefPtr < MetaDataTreeStore > | create (etl::loose_handle< synfigapp::CanvasInterface >)

## Public Attributes

const Model | model

## Protected Member Functions

| MetaDataTreeStore (etl::loose_handle< synfigapp::CanvasInterface >)
void | get_value_vfunc (const Gtk::TreeModel::iterator &iter, int column, Glib::ValueBase &value) const
void | set_value_impl (const Gtk::TreeModel::iterator &iter, int column, const Glib::ValueBase &value)

## Classes

class | Model

## Constructor & Destructor Documentation

MetaDataTreeStore::~MetaDataTreeStore | ( |  | ) |

MetaDataTreeStore::MetaDataTreeStore | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) | `[protected]`

References get_canvas(), and rebuild().

Referenced by create().

## Member Function Documentation

etl::loose_handle<synfigapp::CanvasInterface> studio::MetaDataTreeStore::get_canvas_interface | ( |  | ) | `[inline]`

Referenced by set_value_impl().

etl::loose_handle<const synfigapp::CanvasInterface> studio::MetaDataTreeStore::get_canvas_interface | ( |  | ) | const`[inline]`

synfig::Canvas::Handle studio::MetaDataTreeStore::get_canvas | ( |  | ) | const`[inline]`

Referenced by get_value_vfunc(), MetaDataTreeStore(), and rebuild().

synfig::Canvas::Handle studio::MetaDataTreeStore::get_canvas | ( |  | ) | `[inline]`

void MetaDataTreeStore::rebuild | ( |  | ) |

References get_canvas(), studio::MetaDataTreeStore::Model::key, and model.

Referenced by MetaDataTreeStore(), and refresh().

void studio::MetaDataTreeStore::refresh | ( |  | ) | `[inline]`

References rebuild().

void MetaDataTreeStore::get_value_vfunc | ( | const Gtk::TreeModel::iterator & | iter,
|  | int | column,
|  | Glib::ValueBase & | value |
| ) |  |  | const`[protected]`

References studio::MetaDataTreeStore::Model::data, get_canvas(), studio::MetaDataTreeStore::Model::key, and model.

void MetaDataTreeStore::set_value_impl | ( | const Gtk::TreeModel::iterator & | iter,
|  | int | column,
|  | const Glib::ValueBase & | value |
| ) |  |  | `[protected]`

References studio::MetaDataTreeStore::Model::data, get_canvas_interface(), studio::MetaDataTreeStore::Model::key, and model.

Glib::RefPtr< MetaDataTreeStore > MetaDataTreeStore::create | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) | `[static]`

References MetaDataTreeStore().

Referenced by studio::Dock_MetaData::init_canvas_view_vfunc().

## Member Data Documentation

const Model studio::MetaDataTreeStore::model

Referenced by get_value_vfunc(), rebuild(), and set_value_impl().

The documentation for this class was generated from the following files:

- metadatatreestore.h
- metadatatreestore.cpp